package com.fzm.common.config;

import lombok.RequiredArgsConstructor;
import org.redisson.Redisson;
import org.redisson.api.RedissonClient;
import org.redisson.config.Config;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.data.redis.RedisProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author tangtuo
 * @date 2021/7/19 10:25
 * <p>
 * 单机版redisson客户端配置
 * </p>
 */
@Configuration
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class RedissonConfig {
    private final RedisProperties redisProperties;

    @Bean
    public RedissonClient redisson() {
        Config config = new Config();
        config.useSingleServer().
                setAddress(String.format("redis://%s:%s", redisProperties.getHost(), redisProperties.getPort())).
                setPassword(redisProperties.getPassword());
        return Redisson.create(config);
    }
}
