package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wt
 * @date 2022/5/24
 */
@Getter
@AllArgsConstructor
public enum CopyrightLogType {
    submit(10, "提交"),
    withdraw(11, "撤回"),
    cancel(12, "撤回"),
    pass(13, "平台通过"),
    reject(14, "平台驳回"),

    to_be_reviewed(0, "版权局领件"),
    failed(5, "版权局驳回"),
    examine(6, "版权局审核"),
    FINAL_JUDGMENT(7, "版权局终审"),
    SUCCEEDED(4, "版权局通过"),
    ;
    private final int id;
    private final String type;

    public static CopyrightLogType getById(int id) {
        for (CopyrightLogType logType : CopyrightLogType.values()) {
            if (logType.getId() == id) {
                return logType;
            }
        }
        return null;
    }

}
